Subject: Re: bug#17494: grep bug report: "GREP_OPTIONS" allows a user to break shell script

From: Norihiro Tanaka <[email-masked]>
Date: Thu, 15 May 2014 21:53:15 +0900

I also think GREP_OPTIONS should be removed, but I'm unwilling that I
won't be able to ignore the directory without a command line option.

I use GREP_OPTION='-d skip' to ignore directories by default in grep 2.11
or laster. (They were ignored without a option in 2.10 or former and
other imprements of grep on Solaris, HP-UX, etc.)

Even if I define an alias "grep='grep -d skip'", when "find . | xargs grep"
doesn't ignore directories.

Norihiro